problemi con il kriging

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

problemi con il kriging

Giacomo Rossi
Salve, il Dott. Cavallini mi ha detto di scrivere qui, in quanto in un'email mi ha scritto "Hai installato R (cos'è?), tutti i moduli necessari, e hai aggiunto il path a windows?" per un problema col kriging. Io visualizzo SDA4PP in qgis con alcune sue funzioni, in repository è tutto connesso, anche quella di Volkan Kepoglu, che ha sviluppato il kriging, ma non mi dà la possibilità di usarlo, tutto qui.
Appena può, qualcuno potrebbe spiegarmelo o darmi dei link/siti dove sta scritto, per favore?
Cordiali saluti
Giacomo
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
569 iscritti al 4.1.2012
Reply | Threaded
Open this post in threaded view
|

Re: problemi con il kriging

pcav
Il 12/03/2012 12:13, Giacomo Rossi ha scritto:
> Salve, il Dott. Cavallini mi ha detto di scrivere qui, in quanto in un'email mi ha
> scritto "Hai installato R (cos'è?), tutti i moduli necessari, e hai aggiunto il path
> a windows?" per un problema col kriging. Io visualizzo SDA4PP in qgis con alcune sue
> funzioni, in repository è tutto connesso, anche quella di Volkan Kepoglu, che ha
> sviluppato il kriging, ma non mi dà la possibilità di usarlo, tutto qui.
> Appena può, qualcuno potrebbe spiegarmelo o darmi dei link/siti dove sta scritto, per
> favore?

Salve.
Il plugin usa l'ambiente statistico R per fare i calcoli; quindi perche' funzioni e'
necessario aver installato R ed i moduli necessari (in teoria i moduli si possono
anche installare direttamente dal plugin).
Su windows, ci sono problemi addizionali perche' bisogna far in modo che il plugin
"veda" R, ovvero aggiungere il percorso dell'installazione di R ai percorsi di
sistema. Inoltre, una libreria fondamentale (rpy2) non e' disponibile su windows per
le versioni piu' recenti del plugin.
Insomma: situazione ingarbugliata, purtroppo. Vedi ad es.
http://www.mail-archive.com/qgis-developer@.../msg04914.html
Saluti.
--
Paolo Cavallini - Faunalia
www.faunalia.eu
Full contact details at www.faunalia.eu/pc
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
569 iscritti al 4.1.2012
Reply | Threaded
Open this post in threaded view
|

Re: problemi con il kriging

Giovanni Manghi
Salve,

> Il plugin usa l'ambiente statistico R per fare i calcoli; quindi perche' funzioni e'
> necessario aver installato R ed i moduli necessari (in teoria i moduli si possono
> anche installare direttamente dal plugin).


http://www.r-project.org/

R is ‘GNU S’, a freely available language and environment for
statistical computing and graphics which provides a wide variety of
statistical and graphical techniques: linear and nonlinear modelling,
statistical tests, time series analysis, classification, clustering,
etc.


> Su windows, ci sono problemi addizionali perche' bisogna far in modo che il plugin
> "veda" R, ovvero aggiungere il percorso dell'installazione di R ai percorsi di
> sistema. Inoltre, una libreria fondamentale (rpy2) non e' disponibile su windows per
> le versioni piu' recenti del plugin.


> Insomma: situazione ingarbugliata, purtroppo. Vedi ad es.
> http://www.mail-archive.com/qgis-developer@.../msg04914.html



in realtá con QGIS 1.7.3 standalone funziona ancora tutto ok. Il
problema sta nel fatto che non esiste una versione di rpy2 per windows
compilata per python > 2.5, mentre qgis 1.7.4/windows usa python 2.7.
È necessario peró usare R <= 2.11.1


Questo é uno screencast che mostra come installare e configurare su
Windows un'altro plugin che si basa su R

http://ubuntuone.com/p/zon/


i passaggi principali sono gli stessi.


saluti


-- Giovanni --


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
569 iscritti al 4.1.2012